## caja-admin 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(CajaAdmin NONE)
find_package(Gettext REQUIRED)

# Configurable paths
set(PKEXEC_PATH "/usr/bin/pkexec" CACHE FILEPATH "pkexec program path.")
set(CAJA_PATH "/usr/bin/caja" CACHE FILEPATH "caja program path.")
set(PLUMA_PATH "/usr/bin/pluma" CACHE FILEPATH "pluma program path.")
set(TERMINAL_PATH "/usr/bin/mate-terminal" CACHE FILEPATH "mate-terminal program path.")

# Configure files
configure_file(extension/caja-admin.py.in
               extension/caja-admin.py)
configure_file(polkit/org.freedesktop.caja-admin.policy.in
               polkit/org.freedesktop.caja-admin.policy)

# Update and compile the translations
gettext_create_translations(po/caja-admin.pot ALL
	po/ar.po
	po/de.po
	po/es.po
	po/fr.po
	po/it.po
	po/lt.po
	po/pl.po
	po/pt.po
	po/ru.po
	po/sk.po
	po/zh_CN.po)

# Install target
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/polkit/org.freedesktop.caja-admin.policy"
        DESTINATION /usr/share/polkit-1/actions)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/extension/caja-admin.py"
        DESTINATION /usr/share/caja-python/extensions)

# Uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND}
                  -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake)

=== debian/changelog ===
caja-admin (0.0.1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Add myself to Uploaders: field.

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.
    + Make Upstream-Name: field's value more human readable.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Jul 2018 00:31:28 +0200

caja-admin (0.0.1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #872695).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Aug 2017 05:16:26 -0400

=== debian/control ===
Source: caja-admin
Section: x11
Priority: optional
Maintainer: Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Vangelis Mouhtsis <vangelis@gnugr.org>,
Build-Depends:
 cmake,
 debhelper (>= 10),
 python:any | python-all:any | python-dev:any | python-all-dev:any,
Standards-Version: 4.1.5
Homepage: https://github.com/infirit/caja-admin/
Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-admin
Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-admin.git
X-Python-Version: >= 2.7

Package: caja-admin
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-gi,
 gir1.2-gtk-3.0,
 caja,
 policykit-1,
 python-caja,
Recommends:
 pluma,
 mate-terminal,
Description: Add administrative actions to Caja's right-click menu
 Caja Admin is a simple Python extension for the Caja file manager that
 adds some administrative actions to the right-click menu:
 .
   - Open as Administrator: opens a folder in a new Caja window running
     with administrator (root) privileges.
   - Edit as Administrator: opens a file in a Pluma window running with
     administrator (root) privileges.
   - Run as Administrator: runs an executable file with administrator
     (root) privileges inside a MATE Terminal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh ${@} --with python2

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## caja-admin 0.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 gettext_create_translations(po/caja-admin.pot ALL
 	po/ar.po
 	po/de.po
+	po/cs.po
 	po/es.po
 	po/fr.po
 	po/it.po

=== debian/changelog ===
caja-admin (0.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/patches:
    + Drop 0001_python3-compat.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Aug 2020 11:55:52 +0200

caja-admin (0.0.1-3) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Jan 2020 05:48:28 +0000

caja-admin (0.0.1-3~exp1) experimental; urgency=medium

  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to no.
  * debian/{control,rules}:
    + Port B-Ds and Ds to Python3. (Closes: #936265).
  * debian/patches:
    + Add 0001_python3-compat.patch. Provide Python3 compatibility.
  * debian/copyright:
    + Rename license tag GPL-3+ to GPL-3.0+. Fixes inconsistent-
      appstream-metadata-license lintian issue.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 10 Dec 2019 11:45:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,26 @@
  Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends:
  cmake,
- debhelper (>= 10),
- python:any | python-all:any | python-dev:any | python-all-dev:any,
-Standards-Version: 4.1.5
+ debhelper-compat (= 13),
+ dh-python,
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/infirit/caja-admin/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-admin
 Vcs-Git: https://salsa.debian.org/debian-mate-team/caja-admin.git
-X-Python-Version: >= 2.7
+X-Python-Version: >= 3.6
 
 Package: caja-admin
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends},
- python-gi,
+ ${python3:Depends},
+ python3-gi,
  gir1.2-gtk-3.0,
  caja,
  policykit-1,
- python-caja,
+ python3-caja (>= 1.23.0),
 Recommends:
  pluma,
  mate-terminal,

## caja-admin 0.0.3

=== debian/changelog ===
caja-admin (0.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Drop B-D cmake, add B-D meson (>= 0.50.0).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Dec 2020 23:09:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Mike Gabriel <sunweaver@debian.org>,
  Vangelis Mouhtsis <vangelis@gnugr.org>,
 Build-Depends:
- cmake,
+ meson (>= 0.50.0),
  debhelper-compat (= 13),
  dh-python,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/infirit/caja-admin/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-admin

=== debian/watch ===
version=3
https://github.com/infirit/caja-admin/tags .*/V?(\d\S*)\.tar\.gz

## caja-admin 0.0.5

=== meson_options.txt ===
option('pkexecpath', type: 'string', value: '/usr/bin/pkexec', description: 'pkexec program path')
option('cajapath', type: 'string', value: '/usr/bin/caja', description: 'caja program path')
option('plumapath', type: 'string', value: '/usr/bin/pluma', description: 'pluma program path')
option('terminalpath', type: 'string', value: '/usr/bin/mate-terminal', description: 'mate-terminal program path')

=== debian/changelog ===
caja-admin (0.0.5-2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:04:36 +0100

caja-admin (0.0.5-2) unstable; urgency=medium

  * debian/control:
    + Replace deprecated D: on policykit-1 by D: on polkitd and pkexec. (Closes:
      #1025550).
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Sep 2023 13:43:20 +0200

caja-admin (0.0.5-1) unstable; urgency=medium

  * New upstream release.
    - meson: Call of add_project_arguments fixed (language changed from
      'python' to 'c'). (Closes: #997399).
  * debian/copyright:
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/watch:
    + Switch to file format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 22:15:35 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  dh-python,
  python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/infirit/caja-admin/
 Vcs-Browser: https://salsa.debian.org/debian-mate-team/caja-admin
@@ -25,7 +25,8 @@
  python3-gi,
  gir1.2-gtk-3.0,
  caja,
- policykit-1,
+ polkitd,
+ pkexec,
  python3-caja (>= 1.23.0),
 Recommends:
  pluma,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh ${@} --with python3

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
